"""Constants used by the client for the various releases to help the developer
stay up with Blizzard's naming conventions for the various classics"""

VANILLA = "classic1x"
BURNING_CRUSADE = "classic"
RETAIL = "retail"

MODULES = {
    "game_data": (
        ("achievement", "Achievement"),
        ("auction", "Auction"),
        ("azerite", "Azerite"),
        ("connected_realm", "ConnectedRealm"),
        ("covenant", "Covenant"),
        ("creature", "Creature"),
        ("guild_crest", "GuildCrest"),
        ("item", "Item"),
        ("journal", "Journal"),
        ("media", "Media"),
        ("modified_crafting", "ModifiedCrafting"),
        ("mount", "Mount"),
        ("mythic_keystone_affix", "MythicKeystoneAffix"),
        ("mythic_keystone_dungeon", "MythicKeystoneDungeon"),
        ("mythic_keystone_leaderboard", "MythicKeystoneLeaderboard"),
        ("mythic_raid", "MythicRaid"),
        ("pet", "Pet"),
        ("playable_class", "PlayableClass"),
        ("playable_race", "PlayableRace"),
        ("playable_spec", "PlayableSpec"),
        ("power", "Power"),
        ("profession", "Profession"),
        ("pvp_season", "PvPSeason"),
        ("pvp_tier", "PvPTier"),
        ("quest", "Quest"),
        ("realm", "Realm"),
        ("region", "Region"),
        ("reputation", "Reputation"),
        ("spell", "Spell"),
        ("talent", "Talent"),
        ("tech_talent", "TechTalent"),
        ("title", "Title"),
        ("wow_token", "WoWToken"),
    ),
    "profile": (
        ("character_achievements", "CharacterAchievements"),
        ("character_appearance", "CharacterAppearance"),
        ("character_collection", "CharacterCollections"),
        ("character_encounters", "CharacterEncounters"),
        ("character_equipment", "CharacterEquipment"),
        ("character_hunter_pets", "CharacterHunterPets"),
        ("character_media", "CharacterMedia"),
        ("character_mythic_keystone", "CharacterMythicKeystone"),
        ("character_professions", "CharacterProfessions"),
        ("character_profile", "CharacterProfile"),
        ("character_pvp", "CharacterPvP"),
        ("character_quests", "CharacterQuests"),
        ("character_reputations", "CharacterReputations"),
        ("character_soul_binds", "CharacterSoulBinds"),
        ("character_specializations", "CharacterSpecializations"),
        ("character_statistics", "CharacterStatistics"),
        ("character_titles", "CharacterTitles"),
        ("guild", "Guild"),
    ),
    "auth": (("account", "Account"),),
}
